MutexStats (Oracle - Berkeley DB Java API)
Date: 2010-04-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class MutexStats

    java.lang.Object
      com.sleepycat.db.MutexStats

    public class MutexStats

extends Object

Statistics about mutexes in a Berkeley DB database environment, returned by `Environment.getMutexStats(com.sleepycat.db.StatsConfig)`

Method Summary
`int` | `getMutexAlign()` TODO
`int` | `getMutexCount()` TODO
`int` | `getMutexFree()` TODO
`int` | `getMutexInuse()` TODO
`int` | `getMutexInuseMax()` TODO
`int` | `getMutexTasSpins()` TODO
`long` | `getRegionNowait()` TODO
`long` | `getRegionWait()` TODO
`int` | `getRegSize()` TODO
`String` | `toString()` For convenience, the MutexStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMutexAlign

    public int getMutexAlign()

  TODO

### getMutexTasSpins

    public int getMutexTasSpins()

  TODO

### getMutexCount

    public int getMutexCount()

  TODO

### getMutexFree

    public int getMutexFree()

  TODO

### getMutexInuse

    public int getMutexInuse()

  TODO

### getMutexInuseMax

    public int getMutexInuseMax()

  TODO

### getRegionWait

    public long getRegionWait()

  TODO

### getRegionNowait

    public long getRegionNowait()

  TODO

### getRegSize

    public int getRegSize()

  TODO

### toString

    public String toString()

  For convenience, the MutexStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.